MetricAuxLog (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.galerts.MetricAuxLog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.galerts
Class MetricAuxLog

    java.lang.Object
      org.hyperic.hq.events.SimpleAlertAuxLog
          org.hyperic.hq.measurement.galerts.MetricAuxLog

All Implemented Interfaces:
  AlertAuxLog

    public class MetricAuxLog

extends SimpleAlertAuxLog

Used to create `MetricAuxLog` objects

Constructor Summary
`MetricAuxLog(java.lang.String desc, long timestamp, Measurement measurement)`

Method Summary
`Measurement` | `getMetric()`
`AlertAuxLogProvider` | `getProvider()`
`java.lang.String` | `getURL()` Provide an optional URL which can be used to see more information about the log.

Methods inherited from class org.hyperic.hq.events.SimpleAlertAuxLog
`addChild, getChildren, getDescription, getTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricAuxLog

    public MetricAuxLog(java.lang.String desc,
                        long timestamp,
                        Measurement measurement)

Method Detail

### getMetric

    public Measurement getMetric()

### getURL

    public java.lang.String getURL()

  Description copied from interface: `AlertAuxLog`
  Provide an optional URL which can be used to see more information about the log. This method should return a path after the regular web prefix (i.e. it will be prepended with http://localhost:7080/ or whatever the context is)

  Specified by:
    `getURL` in interface `AlertAuxLog`
  Overrides:
    `getURL` in class `SimpleAlertAuxLog`

### getProvider

    public AlertAuxLogProvider getProvider()

  Specified by:
    `getProvider` in interface `AlertAuxLog`
  Overrides:
    `getProvider` in class `SimpleAlertAuxLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.